import request from '@/utils/request'

// 查询基本考核答案列表
export function listAppletAnswer(query) {
  return request({
    url: '/model/AppletAnswer/list',
    method: 'get',
    params: query
  })
}

// 查询基本考核答案详细
export function getAppletAnswer(id) {
  return request({
    url: '/model/AppletAnswer/' + id,
    method: 'get'
  })
}

// 新增基本考核答案
export function addAppletAnswer(data) {
  return request({
    url: '/model/AppletAnswer',
    method: 'post',
    data: data
  })
}

// 修改基本考核答案
export function updateAppletAnswer(data) {
  return request({
    url: '/model/AppletAnswer',
    method: 'put',
    data: data
  })
}

// 删除基本考核答案
export function delAppletAnswer(id) {
  return request({
    url: '/model/AppletAnswer/' + id,
    method: 'delete'
  })
}
